accessReviewInstance: acceptRecommendations
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Allows the acceptance of recommendations on all accessReviewInstanceDecisionItem objects that have not been reviewed for an accessReviewInstance object for which the calling user is a reviewer. Recommendations are generated if recommendationsEnabled is true on the accessReviewScheduleDefinition object. If there is not a recommendation on an accessReviewInstanceDecisionItem object no decision will be recorded.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | AccessReview.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
The signed-in user must also be a reviewer on the accessReviewInstance.
HTTP request
POST /me/pendingAccessReviewInstances/{instance-id}/acceptRecommendations
Request headers
None.
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 204, No Content response code. It does not return anything in the response body.
Examples
Request
POST https://graph.microsoft.com/beta/me/pendingAccessReviewInstances/70a68410-67f3-4d4c-b946-6989e050be19/acceptRecommendations
Response
Note: The response object shown here might be shortened for readability.
HTTP/1.1 204 No Content
Feedback
Submit and view feedback for